Bug 172300 - cannot reload content of khtml-part in tab: reload button is always disabled
Summary: cannot reload content of khtml-part in tab: reload button is always disabled
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-06 21:50 UTC by Marc Schiffbauer
Modified: 2008-10-26 19:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Schiffbauer 2008-10-06 21:50:44 UTC
Version:           1.3.1 (using KDE 4.1.2)
OS:                Linux
Installed from:    Ubuntu Packages

Hello,

from a feed I openend following URL in a tab:

  http://www.pro-linux.de/news/2008/13290.html

this page contains a link to an image. Th image is shown correctly.
When navigating back it tries to load just "13290.html", not the complete URL, so the history seems broken.
Comment 1 Frank Osterfeld 2008-10-25 21:50:41 UTC
Confirmed. Apparently the part used to show the image, pdf etc. isn't replaced by a HTML part when going back in the history. Your title describes another bug though.
Comment 2 Frank Osterfeld 2008-10-26 19:43:51 UTC
SVN commit 876198 by osterfeld:

Store mimetype in history
Fixes back/forward in history when parts other than KHTMLPart are involved 
BUG:172300


 M  +1 -0      browserframe.cpp  
 M  +27 -29    browserframe_p.cpp  
 M  +13 -13    browserframe_p.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=876198